2FA

Get 2FA method details

Use this method to check whether a specific 2FA method is enabled or disabled for a client.

GET
/api/v2/my/2fa/{type}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

type*string

The method used to deliver 2FA codes to a client. Possible values:

  • google — codes from the Google Authenticator app are used for confirmation

  • sms — codes are delivered to a client phone number via SMS

Value in

  • "google"
  • "sms"
  • "email"

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/2fa/google" \  -H "accept-language: ja"
{  "caption": "SMS Confirmation",  "isEnabled": true,  "name": "sms"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}